<?php // feedback.php: chok(tue 9 jul 2002)

$feedback_email = 'help@ece.gatech.edu';


// check for form submission first
$errors = array();
if( strcmp($submit,'Submit Your Feedback')==0 ):
	$submit = 1;
	if( strlen($name)==0 || strlen($email)==0 || strlen($title)==0 ||
		strlen($body)==0 ):
		$errors[] = 'You must fill in all fields before submitting the form';
		$submit=0;
	endif;
endif;

// send the email now and check for errors
if( $submit ):
	if(! @mail($feedback_email, "[Ecescan] $title",
		"(This email was sent through Ecescan)\n\n$body",
		"From: \"$name\" <$email>")):
		$errors[] = "An error was encountered when trying to send the email";
		$submit=0;
	endif;
endif;


require_once('draw.php');
?>


<html>
<head>
<title>Feedback for Ecescan</title>
<link type="text/css" rel="stylesheet" href="style.css">
</head>

<body>



<?php

draw_title('Feedback for Ecescan', 0, // 0 - don't show additional stuff
	'about.php', 'Back to About Page');












if($submit): // email sent successfully

?>





<blockquote>


We have already sent your message to <?=$feedback_email;?>.<br>
As the Ecescan team is continually trying to improve on the<br>
the system, we will review your comment or question seriously.
<br>
<br>
If you have further questions or comments regarding Ecescan,<br>
please do not hesitate to send us an email again. We welcome<br>
your feedback and questions.
<br>
<br>
Thank you for using Ecescan!


</blockquote>
<br>


<?php

draw_buttons('home.php', 'Back to Home Page',
	'about.php', 'Back to About Page');

?>








<?php

else: // no email sent yet, or email failed

?>


<form action=feedback.php method=post>


<table>
<tr>
	<td width=30 nowrap rowspan=10>&nbsp;</td>
	<td colspan=3>
		Please use the form below to send an email to the Ecescan feedback team.
		<br>
		To send an email without using this form, please click here:
		<a href="mailto:<?=$feedback_email;?>"><?=$feedback_email;?></a>
		<br>

		<?php
		foreach($errors as $s)
			print("<font color=#dd8888><b>$s</b></font><br>");
		?>
	</td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
	<td><font face=Verdana size=2 color=#0000bb><b>Your Name</b></font></td>
	<td width=20 nowrap rowspan=10>&nbsp;</td>
	<td><input class=textbox name=name value="<?=$name;?>" size=20></td>
</tr>
<tr>
	<td><font face=Verdana size=2 color=#0000bb><b>Email Address</b></font></td>
	<td><input class=textbox name=email value="<?=$email;?>" size=20></td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
	<td><font face=Verdana size=2 color=#0000bb><b>Regarding</b></font></td>
	<td><input class=textbox name=title value="<?=$title;?>" size=20></td>
</tr>
<tr>
	<td valign=top><font face=Verdana size=2 color=#0000bb><b>Description</b></font></td>
	<td><textarea class=textbox name=body rows=7 cols=50><?=$body;?></textarea></td>
</tr>
</table>


<br>
<br>

<?php draw_hr(); ?>

<table>
<tr>
	<td width=30 nowrap>&nbsp;</td>
	<td><?=draw_button('type=submit name=submit value="Submit Your Feedback"');?></td>
</tr>
</table>

</form>








<?

endif;

?>



</body>
</html>